g25+pro:
  general:
    full_name: "Graph 25+ Pro"
    international_name: "fx-7400G II"
    year_launched: 2010
    predecessor: g25+
    successor: g25+e
    family: family.mono
    active: no
  teaching:
    audience: audience.high_school
    exam_mode: no
    math_input: math_input.hidden_option
    pretty_print: pretty_print.hidden_option
    matrices: no
    complex_calculus: yes
    symbolic_calculus: symbolic_calculus.Q
    cas: no
  packaging:
    size: [21, 89, 181] # mm
    weight: 205 # g
    power: power.4aaa
    power_runtime: 200 # hours
  programming:
    casio_basic: casio_basic.native
    add_ins: no
    add_ins_sdk: []
    python: no
  hardware:
    mpu: "SH7305"
    cpu: "SH-4A..."
    default_cpu_frequency: 29000000 # Hz
    overclock_tools: []
    max_cpu_frequency: 29000000 # Hz
    ram_chip: null
    rom_chip: 2000000 # bytes
    ram_storage: 20000 # bytes
    rom_storage: no
    sd_card: no
  devices:
    display: display.t6k11
    backlit_display: no
    color_mode: color_mode.mono
    touch_screen: no
    display_size_pixels: [128, 64] # pixels
    display_size_text: [21, 7] # characters
    serial_connection: serial_connection.jack_25
    usb_connection: no
    protocols: [protocols.p7]
    transfer_software: [transfer_software.sb88_fa124]
  misc:
    price_range: [40, 60] # euros
    last_os_version: "2.09"
  links:
    casio_france:
      "[Casio Éducation](https://web.archive.org/web/20100902034231/http://www.casio-education.fr/calculatrice_casio_graph25plus.html) (2010)"
    casio_international:
      "[edu.casio.com](https://edu.casio.com/products/graphic/fx7400g2/) (2021)"
  manuals:
    software_french_fr:
      "2.00": "https://support.casio.com/storage/fr/manual/pdf/FR/004/GRAPH95-75-85SD-85-35PLUS-25PLUSPro-Soft_FR.pdf"
    software_international_fr:
      "2.04": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-9860GII_Soft_FR.pdf"
    software_international_en:
      "2.00": "https://support.casio.com/pdf/004/fx-9750GII_Soft_E.pdf"
      "2.04": "https://support.casio.com/storage/en/manual/pdf/EN/004/fx-9860GII_Soft_EN.pdf"
    hardware_french_fr: no
    hardware_international_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-9860GII_Hard_FR.pdf"
    hardware_international_en:
      "support.casio.com": "https://support.casio.com/pdf/004/fx-9860GII_Hard_E.pdf"
